#
# spec file for ASP Annales
# (c) 2004 IMC
#

# Existing macros ?
%define _htmldir /var/www/html

# Basic macros
%define grade    Lyc
%define gradeid  lyc
%define name     asp-ann_%{gradeid}_demo
%define version  1.0.0
%define release  %mkrel 5
%define title    Sujets d'examen
%define abstract Database for ASP annales

# Standard EduPack menu-file macros
%define m_teacher  00. Poste de travail de l'enseignant
%define m_mat_soft 10. Maternelle : Logiciels
%define m_mat_ps   11. Maternelle : Ressources PS
%define m_mat_ms   12. Maternelle : Ressources MS
%define m_mat_gs   13. Maternelle : Ressources GS
%define m_pri_soft 20. École primaire : Logiciels
%define m_pri_cp   21. École primaire : Ressources CP
%define m_pri_ce1  22. École primaire : Ressources CE1
%define m_pri_ce2  23. École primaire : Ressources CE2
%define m_pri_cm1  24. École primaire : Ressources CM1
%define m_pri_cm2  25. École primaire : Ressources CM2
%define m_col_soft 30. Collège : Logiciels
%define m_col_6    31. Collège : Ressources 6e
%define m_col_5    32. Collège : Ressources 5e
%define m_col_4    33. Collège : Ressources 4e
%define m_col_3    34. Collège : Ressources 3e
%define m_lyc_soft 40. Lycée : Logiciels
%define m_lyc_2    41. Lycée : Ressources Seconde
%define m_lyc_1    42. Lycée : Ressources Première
%define m_lyc_T    43. Lycée : Ressources Terminale
%define m_mmedia   Multimédia
%define m_office   Bureautique
%define m_organize Organisation
%define m_sciences Sciences
%define m_web_use  Internet : Utilisation
%define m_web_cre  Internet : Création
%define m_M        Mathématiques
%define m_MS       Mathématiques série S
%define m_ME       Mathématiques série ES
%define m_ML       Mathématiques série L
%define m_F        Français
%define m_P        Physique
%define m_C        Chimie
%define m_PC       Physique - Chimie
%define m_T        S.V.T.
%define m_W        Enseignement scientifique
%define m_H        Histoire
%define m_G        Géographie
%define m_I        Philosophie
%define m_E        Éducation civique
%define m_D        Découverte du monde
%define m_SE       S.E.S.
%define m_A        Anglais
%define m_AL       Allemand
%define m_ES       Espagnol
%define m_edupack  PACKS Éducatifs libres


Name:            %name
Summary:         %abstract
Version:         %version
Release:         %release
License:         GFDL
Group:           Education
URL:             http://www.ruedesecoles.com/EduPack
Buildarch:       noarch
BuildRoot:       %{_tmppath}/%{name}-buildroot
Requires:        asp-not_lyc_ti 

Source0:         http://www.ruedesecoles.com/EduPack/%name-%version.tar.bz2

%description
Database for ASP annales.

%prep

%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot/%_htmldir/Asp/Data/Base
install -m 644 Mysql/*.sql  %buildroot/%_htmldir/Asp/Data/Base/

# Menu icons
install -D -m 644 Icons/asp-ann_%{gradeid}48.png %buildroot/%_liconsdir/%name.png
install -D -m 644 Icons/asp-ann_%{gradeid}32.png %buildroot/%_iconsdir/%name.png
install -D -m 644 Icons/asp-ann_%{gradeid}16.png %buildroot/%_miconsdir/%name.png

# Menu entries
mkdir -p %buildroot/%_menudir/simplified
cat > %buildroot/%_menudir/%name << EOF
?package(%name): command="konqueror --profile webbrowsing http://localhost/Asp/Application/EduPack/annales.php?Module=T_T" \
needs="X11" icon="%name.png" section="%m_edupack/%m_lyc_T/%m_T" title="%title"
?package(%name): command="konqueror --profile webbrowsing http://localhost/Asp/Application/EduPack/annales.php?Module=T_I" \
needs="X11" icon="%name.png" section="%m_edupack/%m_lyc_T/%m_I" title="%title"
EOF

cp  %buildroot/%_menudir/%name %buildroot/%_menudir/simplified/.

%pre
# if mysqld is not running, start it
echo "Check if mysqld is running"
if ! test -f /var/lib/mysql/mysql.sock
then /sbin/service mysql start
sleep 2
fi

%post
%update_menus
%_bindir/mysqladmin create Annales%grade
%_bindir/mysql Annales%grade < %_htmldir/Asp/Data/Base/annales_%gradeid"_annale.sql"
%_bindir/mysql Annales%grade < %_htmldir/Asp/Data/Base/annales_%gradeid"_annex.sql"
%_bindir/mysql Annales%grade < %_htmldir/Asp/Data/Base/annales_%gradeid"_image.sql"
rm %_htmldir/Asp/Data/Base/{annales_%gradeid"_annale",annales_%gradeid"_annex",annales_%gradeid"_image"}.sql

%preun
# if mysqld is not running, start it
echo "Check if mysqld is running"
if ! test -f /var/lib/mysql/mysql.sock
then /sbin/service mysql start
sleep 2
fi

%postun
%clean_menus
%_bindir/mysqladmin --force drop Annales%grade

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%_htmldir/Asp/Data/Base/annales_lyc_annale.sql
%_htmldir/Asp/Data/Base/annales_lyc_annex.sql
%_htmldir/Asp/Data/Base/annales_lyc_image.sql
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name
%_menudir/simplified/%name

%changelog
* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.0-5mdk
- Cosmetics
- %%mkrel

* Thu Apr 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-4mdk
- add simplified menu

* Fri Apr 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-3mdk
- change script test

* Thu Apr 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- check if mysqld is running

* Wed Apr 07 2004 Patrick PIERRE <patrick.pierre@ruedesecoles.com> 1.0.0-1mdk
- initial release
